%{!?RPM_GIT_VERSION:%define RPM_GIT_VERSION unknown}

%define debug_package %{nil}

Summary: PexmlFlashProg - Program for writing firmware to PEXML boards
Name: PexmlFlashProg
Version: 1.1.1
Release: %{RPM_GIT_VERSION}%{?dist}
License: GPL
Group: Electronic Lab
#URL: http://afi.jinr.ru/M-Link
#URL: https://afi-project.jinr.ru/projects/pexml/wiki
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: qt5-qtbase-mysql
BuildRequires: qt5-qtbase-devel

%description
PexmlFlashProg is PEXML PCI-Express board firmware updater.
The software is capable of writing golden and regular images.

%prep
%setup -q

%build
#make %{?_smp_mflags} svn_rev=%{svn_rev} NODEBUG=yes PREFIX=%{_prefix}
make NODEBUG=yes GIT_VERSION=1.1.1-0-g3e03252

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc COPYING README

%changelog
